Show / Hide Table of Contents

# Interface ISystemMessage

Represents a generic message sent by the system.

##### Inherited Members

IMessage.Type
IMessage.Source
IMessage.IsTTS
IMessage.IsPinned
IMessage.IsSuppressed
IMessage.Content
IMessage.Timestamp
IMessage.EditedTimestamp
IMessage.Channel
IMessage.Author
IMessage.Attachments
IMessage.Embeds
IMessage.Tags
IMessage.MentionedChannelIds
IMessage.MentionedRoleIds
IMessage.MentionedUserIds
IMessage.Activity
IMessage.Application
IMessage.Reference
IMessage.Reactions
IMessage.AddReactionAsync(IEmote, RequestOptions)
IMessage.RemoveReactionAsync(IEmote, IUser, RequestOptions)
IMessage.RemoveReactionAsync(IEmote, UInt64, RequestOptions)
IMessage.RemoveAllReactionsAsync(RequestOptions)
IMessage.GetReactionUsersAsync(IEmote, Int32, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id
IDeletable.DeleteAsync(RequestOptions)

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface ISystemMessage : IMessage, ISnowflakeEntity, IEntity<ulong>, IDeletable

### Extension Methods

MessageExtensions.GetJumpUrl(IMessage)